add_executable(auslegung_test
	test_Ansys.cpp
        test_ModuleHTTP.cpp
        test_ModuleMath.cpp
        test_ModuleSQL.cpp
        test_ModuleSwitch.cpp
	test_OptimizerEvolutionary.cpp
        test_ProcessorStandard.cpp
        )
target_link_libraries(auslegung_test gtest gtest_main ${PROJECT_NAME})
if(WIN32)
	target_compile_options(auslegung_test PRIVATE /bigobj)
endif(WIN32)
add_test(auslegung_test auslegung_test)